GET /data/user/filter-groups/{filter_group_id}

Retrieve a specific filter group for the current user. Returns detailed information about the filter group.

Path parameters

  • search_filter_group_id string(uuid) Required

    Filter group unique identifier

Responses

  • 200 application/json

    Filter group details

    Hide response attributes Show response attributes object
    • id string(uuid)

      Filter group unique identifier

    • name string

      Filter group name

    • color string

      Filter group color

    • list_type string

      List type

    • entity_type string

      Entity type

    • project_id string(uuid)

      Project identifier

    • is_shared boolean

      Whether filter group is shared

    • created_at string(date-time)

      Creation timestamp

    • updated_at string(date-time)

      Last update timestamp

GET /data/user/filter-groups/{filter_group_id}
curl -X GET "http://api.example.com/data/user/filter-groups/{filter_group_id}" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/user/filter-groups/{filter_group_id}"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request GET 'http://api.example.com/data/user/filter-groups/{filter_group_id}' \
 --header "Authorization: $API_KEY"
Response examples (200)
{
  "id": "b35b7fb5-df86-5776-b181-68564193d36",
  "name": "My Filter Group",
  "color": "#FF0000",
  "list_type": "todo",
  "entity_type": "Asset",
  "project_id": "c46c8gc6-eg97-6887-c292-79675204e47",
  "is_shared": false,
  "created_at": "2023-01-01T12:00:00Z",
  "updated_at": "2023-01-01T12:30:00Z"
}